### Name: evaluate
### Title: Evaluate a Recommender Models
### Aliases: evaluate evaluate,evaluationScheme,character-method
###   evaluate,evaluationScheme,list-method


### ** Examples

data("MSWeb")
MSWeb10 <- sample(MSWeb[rowCounts(MSWeb) >10,], 100)

## create an evaluation scheme
es <- evaluationScheme(MSWeb10, method="cross-validation",
        k=4, given=3)

## run evaluation
ev <- evaluate(es, "POPULAR")
ev

## look at the results
avg(ev)
plot(ev, type="o", annotate = TRUE)

## now run evaluate with a list
algorithms <- list(
                RANDOM = list(name = "RANDOM", param = NULL),
                POPULAR = list(name = "POPULAR", param = NULL),
                UBCF = list(name = "UBCF", param = NULL),
                IBCF = list(name = "IBCF", param=NULL),
                AR = list(name = "AR", param=NULL)
                )

evlist <- evaluate(es, algorithms)
plot(evlist, legend="topright")

## select the first results
evlist[[1]]



